#
# spec file for package php5 (Version 5.2.14)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           php5
%define suhosin_version 0.9.32.1
%define suhosin_patch_version 0.9.7
%define with_suhosin_patch 1
%define pkg_name php5
%define run_tests 0
%define with_mime 1
%define with_mhash 1
%define with_mssql 0
%define with_mysql 1
%define with_dynsess 0
%define with_sqlite 1

%if 0%{?suse_version} == 1110

%endif

%if %{with_mssql}
BuildRequires:  freetds-devel
%endif

%if 0%{?sles_version} == 9
# %define with_mysql 0
BuildRequires:  libmysqlclient15 libmysqlclient-devel
%else
BuildRequires:  mysql-devel
%endif

%define with_spell 1
%if 0%{?suse_version} < 930 && 0%{?suse_version} >= 800
%define with_spell 0
BuildRequires:  heimdal-devel
%else
BuildRequires:  krb5-devel
%endif

%if 0%{?sles_version} == 10
%define with_spell 0
%endif

%define with_readline 1
%if 0%{?sles_version} == 9
%define with_readline 0
%endif

%if 0%{?sles_version} == 11
%define with_sqlite 0
%endif


BuildRequires:  apache2-devel bison curl-devel gmp-devel libmcrypt-devel libtidy-devel libtiff-devel libxslt-devel mhash-devel ncurses-devel net-snmp-devel pam-devel pkgconfig postfix postgresql-devel unixODBC-devel zip readline-devel
%if 0%{?centos_version}
BuildRequires:  tcp_wrappers openldap openldap-devel libX11-devel gtk+-devel libc-client-devel
BuildRequires:  libpcap-devel mysql-devel gd-devel db4-devel qt-devel bzip2-devel
BuildRequires:  java-1.6.0-openjdk-devel
%else
BuildRequires:  openldap2 openldap2-devel tcpd-devel db-devel gtk-devel imap-devel qt3-devel mm-devel orbit-devel

%if 0%{?suse_version} < 1100
BuildRequires: imap
%else
BuildRequires: imap-lib libbz2-devel xorg-x11-devel
%endif

%if 0%{?sles_version} == 9
BuildRequires:  xinetd libxml2-devel
%else
BuildRequires:  libedit-devel update-alternatives
%endif
%endif

%if %{with_spell}
BuildRequires:  aspell-devel
%endif

%if %{with_mhash}
BuildRequires: mhash-devel
%endif

%if 0%{?suse_version} > 1000
#!BuildIgnore: flex
BuildRequires:  flex-old
# I would like this to become a hard dependency, as PHP is
# documented to have this modules by default (no addtional libs are needed)
Recommends:     php-ctype php-dom php-iconv php-sqlite php-tokenizer
Recommends:     php-xmlreader php-xmlwriter php-json php-hash
# other highly reccommended extensions
Suggests:       php-mbstring php-gd php-pear php-gettext php-mysql php-suhosin
%else
BuildRequires:  flex libgcrypt-devel rpm-devel
BuildRequires:  libjpeg libjpeg-devel
%endif

# use system PCRE and sqlite  on 10.2 an up only, previous versions will not work.
%if 0%{?suse_version} > 1010
%if 0%{?sles_version} >= 11
BuildRequires:  pcre-devel sqlite-devel
%else
BuildRequires:  pcre-devel sqlite-devel sqlite2-devel
%endif
%endif

#support t1lib in gd in 10.3 or later
%if 0%{?suse_version} > 1020
BuildRequires:  re2c t1lib-devel
#10.3 does not install sendmail binary with the minimal system
Requires:       smtp_daemon
%endif

%if 0%{?_with_ming:1}
BuildRequires:  ming-devel
%endif
#if 0%{?_with_qdbm:1}
#BuildRequires:  qdbm-devel
#endif

%if 0%{?suse_version} >= 1100

%endif

%define extension_dir     %{_libdir}/%{pkg_name}/extensions
%define peardir           %{_datadir}/%{pkg_name}/PEAR
%define php_sysconf       %{_sysconfdir}/%{pkg_name}
%define _x11prefix        %(xft-config --prefix)

########################################
# apache macros
########################################
%define apxs2              %{_sbindir}/apxs2
%define apache2_mmn        %(MMN=$(%{apxs2} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%define apache2_libexecdir %(%{apxs2} -q LIBEXECDIR)
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)
%define apache2_includedir %(%{apxs2} -q INCLUDEDIR)
%define apache2_serverroot %(%{apxs2} -q PREFIX)

#unfortunately at this stage we dont have a working PHP binary..
#define builtin_tz_ver 	2007.9
###
###
Version:        5.2.14
Summary:        PHP5 Core Files
Release:        13.2
License:        The PHP License, version 3.01
Group:          Development/Languages/Other
Provides:       php zend php-xml php-spl php-simplexml php-pcre php-date php-reflection php-filter
%if ! %{with_dynsess}
Provides:       php-hash php-session php5-hash php5-session
%endif
#Provides: 		php(tzdatabase) = %{builtin_tz_ver}
AutoReqProv:    on
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
PreReq:         update-alternatives
%endif
%endif
#extensions that are no longer here
Obsoletes:      php5-dbx php5-dio php5-fam php5-filepro php5-yp
Source0:        php-%{version}.tar.bz2
Source1:        php-suse-addons.tar.bz2
Source2:        suhosin-%{suhosin_version}.tgz
Source4:        README.SUSE-pear
#until it gets fixed in upstream...
Source5:        Registry.php
Source6: 	%{name}-%{version}-rpmlintrc
#SUSE specific stuff
Patch1:         php5-config.patch
Patch2:         php5-phpize.patch
Patch3:         php5-apache_sapi_install.patch
Patch4:         php5-php-config.patch
#home made hack to really build against libedit
Patch5:         php5-really-with-libedit.patch
%if %{with_suhosin_patch}
Patch6:         suhosin-patch-%{version}-%{suhosin_patch_version}.patch.gz
%endif
Patch7:         php-5.2.6-systzdata.patch
#bugs
# compiler warnings
Patch9:         php5-warnings.patch
Patch10:        php5-zend.patch
Patch11:        php5-alignment.patch
##Patch12:        suhosin-0.9.24-return-non-void.patch
Patch13:        configure.sqlite.patch

# CVE
Patch70:        php-5.2.17-CVE-2011-4885.patch
Patch71:        php-5.1.6-CVE-2012-0830.patch

#please use patch30 and up for security fixes
Url:            http://www.php.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This package contains the PHP5 core files, including PHP binary (CLI)
and PHP configuration (php.ini). This package must be installed in
order to use PHP. Additionally, extension modules and server modules
(e.g. for Apache) may be installed.

Additional documentation is available in package php-doc.


Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details


%package devel
Provides:       php-devel pecl
Summary:        Include files of PHP5
Group:          Development/Languages/C and C++
#this is required by the installed  development headers
Requires:       %{name} = %{version} glibc-devel libxml2-devel
#this is needed for "pecl" functionality
Requires:       autoconf automake
# 5.2.2 or later installs php_pcre.h that requires pcre-devel
%if 0%{?suse_version} > 1010
Requires:       pcre-devel
%endif
Conflicts:      php4-devel
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
PreReq:         update-alternatives
%endif
%endif

%description devel
PHP is a server-side, cross-platform, HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory Tutorial.  Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the Links section. PHP5 is the latest version.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pear
Provides:       php-pear
Summary:        PHP Extension and Application Repository
Group:          Development/Libraries/PHP
Requires:       %{name}-zlib
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
PreReq:         update-alternatives
%endif
%endif


%description pear
PEAR is a code repository for PHP extensions and PHP library code
similar to TeX's CTAN and Perl's CPAN. This package provides an access
to the repository.

See http://pear.php.net/manual/ for more datails.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package -n apache2-mod_php5
Summary:        PHP5 Module for Apache 2.0
Group:          Productivity/Networking/Web/Servers
Requires:       apache2-prefork %{apache2_mmn} %{name} = %{version}
PreReq:         apache2
Conflicts:      apache2-mod_php4
Provides:       mod_php_any php-xml php-spl php-simplexml php-session php-pcre php-date php-reflection php-filter

%description -n apache2-mod_php5
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that, have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php5/README.SUSE for
information on how to load the module into the Apache webserver.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package fastcgi
Summary:        FastCGI PHP5 Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
PreReq:         update-alternatives
%endif
%endif
Provides:       php-xml php-spl php-simplexml php-session php-pcre php-date php-reflection php-filter

%description fastcgi
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php5/README.FastCGI for
information on how to use this module.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package bcmath
Provides:       php-bcmath
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description bcmath
Binary Calculator which supports numbers of any size and precision,
represented as strings.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package bz2
Provides:       php-bz2
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description bz2
PHP functions to read and write bzip2 (.bz2) compressed files.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package calendar
Provides:       php-calendar
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description calendar
PHP functions for converting between different calendar formats.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package ctype
Provides:       php-ctype
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description ctype
PHP functions for checking whether a character or string falls into a
certain character class according to the current locale.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package curl
Provides:       php-curl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description curl
PHP interface to libcurl that allows you to connect to and communicate
with servers of many different types, using protocols of many different
types.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package dba
Provides:       php-dba
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description dba
This is a general abstraction layer for several file-based databases.
As such, functionality is limited to a common subset of features
supported by modern databases such as Sleepycat Software's DB2. (This
is not to be confused with IBM's DB2 software, which is supported
through the ODBC functions.)



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package dbase
Provides:       php-dbase
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description dbase
PHP functions for accessing records stored in dBase-format (dbf)
databases.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package dom
Provides:       php-dom
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description dom
This module adds DOM support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package exif
Provides:       php-exif
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-mbstring = %{version}

%description exif
PHP functions for extracting EXIF (metadata from images) information
stored in headers of JPEG and TIFF images.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package ftp
Provides:       php-ftp
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-openssl = %{version}

%description ftp
PHP functions for access to file servers speaking the File Transfer
Protocol (FTP) as defined in rfc959.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package gd
Provides:       php-gd
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description gd
PHP functions to create and manipulate image files in a variety of
different image formats, including GIF, PNG, JPEG, WBMP, and XPM. Even
more convenient: PHP can output image streams directly to a browser.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package gettext
Provides:       php-gettext
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description gettext
PHP functions that implement an NLS (Native Language Support) API which
can be used to internationalize your PHP applications.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package gmp
Provides:       php-gmp
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description gmp
PHP functions for work with arbitrary-length integers using the GNU MP
library.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%if %{with_dynsess}
%package hash
Provides:       php-hash
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description hash
Message Digest (hash) engine. Allows direct or incremental processing
of arbitrary length messages using a variety of hashing algorithms.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details
%endif

%package iconv
Provides:       php-iconv
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description iconv
PHP interface to iconv character set conversion facility.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package imap
Provides:       php-imap
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description imap
PHP functions in this extension are not limited to the IMAP protocol,
despite their name. The underlying c-client library also supports NNTP,
POP3 and local mailbox access methods.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package json
Provides:       php-json
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description json
Support for JSON (JavaScript Object Notation) serialization.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package ldap
Provides:       php-ldap
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-openssl = %{version}

%description ldap
PHP interface to Lightweight Directory Access Protocol (LDAP).



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package mbstring
Provides:       php-mbstring
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description mbstring
This extension provides multi-byte character safe string functions and
other utility functions such as conversion functions.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package mcrypt
Provides:       php-mcrypt
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description mcrypt
PHP interface to the mcrypt library, which supports a wide variety of
block algorithms.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%if %{with_mhash}
%package mhash
Provides:       php-mhash
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description mhash
PHP functions to create checksums, message digests, message
authentication codes, and more.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%endif

%if %{with_mime}
%package mime_magic
Provides:       php-mime_magic
Summary:        PHP5 Core Files
Group:          Development/Languages/Other
Requires:       %{name} = %{version}

%description mime_magic

Additional documentation is available in package php-doc.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%endif

%if 0%{?_with_ming:1}
%package ming
Provides:       php-ming
Summary:        PHP5 Core Files
Group:          Development/Languages/Other
Requires:       %{name} = %{version}

%description ming
This package contains the PHP5 core files, including PHP binary (CLI)
and PHP configuration (php.ini). This package must be installed in
order to use PHP. Additionally, extension modules and server modules
(e.g. for Apache) may be installed.

Additional documentation is available in package php-doc.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%endif

%if %{with_mssql}
%package mssql
Provides:       php-mssql = %{version}
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-mssql =< %{version}

%description mssql
PHP functions for access to MSSQL database servers.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details
%endif


%if %{with_mysql}
%package mysql
Provides:       php-mysql php5-mysqli = %{version} php5-pdo_mysql = %{version}
Provides:       php_any_db
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-mysqli =< %{version} php5-pdo_mysql =< %{version}

%description mysql
PHP functions for access to MySQL database servers.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details
%endif

%package ncurses
Provides:       php-ncurses
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description ncurses
This module adds ncurses support (for CLI and GCI versions only).



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package odbc
Provides:       php-odbc php-pdo_odbc
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}

%description odbc
This module adds ODBC support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package openssl
Provides:       php-openssl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description openssl
This module adds OpenSSL support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pcntl
Provides:       php-pcntl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description pcntl
This module will attempt to implement all features related to process
spawning and control (fork(), waitpid(), signal(), WIF's, etc). This is
extremley experimental, with hope to become stable on most UNIX's. I
greatly appreciate any feedback, fixes, and or suggestions on how to
improve/better implement this functionality.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pdo
Provides:       php-pdo
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description pdo
PHP Data Objects - Data Access Abstraction

- light-weight

- provides common API for common database operations

- keeps majority of PHP specific stuff in the PDO core (such as
persistent resource management); drivers should only have to worry
about getting the data and not about PHP internals.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pgsql
Provides:       php-pgsql php5-pdo_pgsql = %{version} php_any_db
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-pdo_pgsql <= %{version}

%description pgsql
PHP functions for access to PostgreSQL database servers. It includes
both traditional pgsql and pdo_pgsql drivers.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package posix
Provides:       php-posix
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description posix
This module allows to use POSIX-like functions in PHP.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%if %{with_spell}

%package pspell
Provides:       php-pspell
Summary:        PHP5 pspell extension
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} aspell-en

%description pspell
PHP interface to the aspell, which provides spell checking
functionality.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%endif

%if %{with_readline}
%package readline
Provides:       php-readline
Summary:        PHP5 readline extension
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description readline
PHP interface to libedit, which provides editable command line as well
as PHP interactive mode (php -a)



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details
%endif

%if %{with_dynsess}
%package session
Provides:       php-session
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description session
PHP sessionhandling

Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details
%endif


%package shmop
Provides:       php-shmop
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description shmop
PHP functions to read, write, create and delete UNIX shared memory
segments.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package snmp
Provides:       php-snmp
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description snmp
PHP functions for SNMP.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package soap
Provides:       php-soap
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description soap
This module provides SOAP support.

SOAP extension can be used to write SOAP Servers and Clients. It
supports subsets of SOAP 1.1, SOAP 1.2 and WSDL 1.1 specifications.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sockets
Provides:       php-sockets
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sockets
A low-level interface to the socket communication functions based on
the popular BSD sockets, providing the possibility to act as a socket
server as well as a client. This extension is experimental!



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%if %{with_sqlite}
%package sqlite
Provides:       php-sqlite php5-pdo_sqlite = %{version}
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-pdo_sqlite <= %{version}

%description sqlite
This is an extension for the SQLite Embeddable SQL Database Engine.
http://www.sqlite.org/

SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

This package includes sqlite and pdo_sqlite modules for sqlite version
2 and 3 respectively.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details
%endif

%package suhosin
Provides:       php-suhosin
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description suhosin
Suhosin is an advanced protection system for PHP installations. It was
designed to protect servers and users from known and unknown flaws in
PHP applications and the PHP core.

Suhosin is binary compatible to normal PHP installation, which means it
is compatible to 3rd party binary extension like ZendOptimizer.



Authors:
--------
    Stefan Esser <stefan.esser@hardened-php.net>
    Peter Prochaska <peter.prochaska@hardened-php.net>
    Christopher Kunz <christopher.kunz@hardened-php.net>

%package sysvmsg
Provides:       php-sysvmsg
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sysvmsg
This module provides System V IPC support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sysvsem
Provides:       php-sysvsem
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sysvsem
PHP interface for System V semaphores.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sysvshm
Provides:       php-sysvshm
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sysvshm
PHP interface for System V shared memory.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package tidy
Provides:       php-tidy
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description tidy
Tidy is an extension based on Libtidy (http://tidy.sf.net/) and allows
a PHP dev eloper to clean, repair, and traverse HTML, XHTML, and XML
documents -- including ones with embedded scripting languages such as
PHP or ASP within them using OO constructs.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package tokenizer
Provides:       php-tokenizer
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description tokenizer
The tokenizer functions provide an interface to the PHP tokenizer
embedded in the Zend Engine. Using these functions you may write your
own PHP source analyzing or modification tools without having to deal
with the language specification at the lexical level.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package wddx
Provides:       php-wddx
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description wddx
PHP functions for Web Distributed Data Exchange.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xmlrpc
Provides:       php-xmlrpc
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description xmlrpc
This module adds XMLRPC-EPI support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xsl
Provides:       php-xsl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-dom = %{version}

%description xsl
This module adds new XSL support to PHP.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xmlreader
Provides:       php-xmlreader
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-dom = %{version}

%description xmlreader
XMLReader represents a reader that provides non-cached, forward-only
access to XML data. It is based upon the xmlTextReader api from libxml.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xmlwriter
Provides:       php-xmlwriter
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description xmlwriter
XMLWriter wraps the libxml xmlWriter API. Represents a writer that
provides a non-cached, forward-only means of generating streams or
files containing XML data.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package zip
Provides:       php-zip
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description zip
Zip is an extension to create, modify and read zip files.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package zlib
Provides:       php-zlib
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description zlib
PHP functions to read and write gzip (.gz) compressed files.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%prep
%setup -q -n php-%{version} -a 1
%if 0%{?sles_version} == 9
%{__tar} xpzf %{S:2} -C ext
%else
%{__tar} xf %{S:2} -C ext
%endif
%{__mv} ext/suhosin-%{suhosin_version} ext/suhosin
%{__cp} %{S:4} pear/README.SUSE
#patch0 -p1
%patch1
%patch2
%patch3 -p1
%patch4
# %patch5
%if %{with_suhosin_patch}
%patch6 -p1
%endif
%patch7 -p1
%patch9
%patch10
# %patch11
pushd ext/suhosin
##patch12
popd

%patch70 -p1
%patch71 -p1


# we build three SAPI
%{__mkdir_p} build-apache2
%{__mkdir_p} build-fastcgi/sapi/cgi/libfcgi
%{__mkdir_p} build-cli/ext/sqlite/libsqlite/src/
# THis happends only with bison 1.875
%if 0%{?suse_version} < 1010 
# our bison seems to generate wrong parser, so use the pregenerated ones...
for sapi in apache2 fastcgi cli ; do
    %{__mkdir} build-$sapi/Zend
    %{__cp} \
        Zend/zend_language_scanner.c \
        Zend/zend_language_parser.h \
        Zend/zend_language_parser.c \
        Zend/zend_ini_parser.h \
        Zend/zend_ini_parser.c \
        build-$sapi/Zend
done
%endif
#vtzdb=`grep timezonedb_builtin  ext/date/lib/timezonedb.h | sed  -e 's/[^"]*"\([^"]\+\)"*[^"]*/\1\n/g' | head -n1`
#if test "x${vtzdb}" != "x%{builtin_tz_ver}"; then
#   : Error: Built-in timezonedb version is now ${vtzdb}, expecting %{builtin_tz_ver}.
#   : Update the builtin_tz_ver macro and rebuild.
#   exit 1
#fi

%build
#find %{_libdir} -name "*.la" | xargs grep 'dependency_libs='''
# Force use of system libtool(when newer than the included)
#get rid of bundled libraries which are not used in 10.2 and later
%if 0%{?suse_version} > 1010
%{__rm} -rf ext/pcre/pcrelib ext/pdo_sqlite/sqlite
%endif
# regenerate configure etc.
# workaround: suhosin-patch updates timestamp of configure, confusing buildconf
%if 0%{?sles_version} != 11
%{__rm} configure
./buildconf --force
# patch -p0 < %PATCH13
%endif
# export flags
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe"
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif
export CFLAGS
export CXXFLAGS
export NO_INTERACTION=true
# where to install extensions
EXTENSION_DIR=%{extension_dir}
export EXTENSION_DIR
# build function
Build()
{
    sapi=$1
    pushd build-$1
    shift
    ../configure \
        --prefix=%{_prefix} \
        --datadir=%{_datadir}/%{pkg_name} \
        --mandir=%{_mandir} \
        --bindir=%{_bindir} \
        --with-libdir=%{_lib} \
        --includedir=%{_includedir} \
        --sysconfdir=%{php_sysconf}/$sapi \
        --with-config-file-path=%{php_sysconf}/$sapi \
        --with-config-file-scan-dir=%{php_sysconf}/conf.d \
        --enable-libxml \
%if %{with_dynsess}
        --enable-session=shared \
        --enable-hash=shared \
%else
        --enable-session \
        --enable-hash \
%endif
        --with-mm \
%if 0%{?suse_version} > 1010
        --with-pcre-regex=%{_usr} \
%else
        --with-pcre-regex \
%endif
        --enable-xml \
        --enable-simplexml \
        --enable-spl \
        --enable-filter \
        --disable-debug \
        --enable-inline-optimization \
        --disable-rpath \
	--disable-static \
	--enable-shared \
	--program-suffix=5 \
	--with-pic \
	--with-gnu-ld \
	--with-system-tzdata=/usr/share/zoneinfo \
        "$@"
# Some modules are builtin, reasons:
#  - libxml can not be shared (and is needed by PEAR)
#  - spl doesn't build shared
#  - simplexml is needed by spl
#  - session need to be builtin, otherwise sqlite and other session engines fail
#  - pcre is needed for PEAR
#  - filter is builtin due security reasons
#We have still have harcoded RPATH in some modules 
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=LIBTOOL_IS_BROKED|g' libtool
    %{__make} %{?jobs:-j%jobs PHP_PEAR_PHP_BIN=%{_bindir}/%{pkg_name}}
    popd
}
# perform all builds
# apache2 sapi
Build apache2 \
    --with-apxs2=%{apxs2} \
    --disable-all \
    --disable-cli \
# fast-cgi sapi
Build fastcgi \
    --enable-force-cgi-redirect \
    --disable-discard-path \
    --enable-fastcgi \
    --bindir=%{_bindir} \
    --disable-cli \
    --disable-all \
# cli sapi with all shared modules
Build cli \
    --enable-cli \
    --with-pear=%{peardir} \
    --enable-bcmath=shared \
    --enable-calendar=shared \
    --enable-ctype=shared \
    --enable-dbase=shared \
    --enable-dom=shared \
    --enable-exif=shared \
    --enable-ftp=shared \
    --enable-mbstring=shared \
    --enable-mbregex \
    --enable-pcntl=shared \
    --enable-posix=shared \
    --enable-shmop=shared \
    --enable-soap=shared \
    --enable-sockets=shared \
    --enable-sysvmsg=shared \
    --enable-sysvsem=shared \
    --enable-sysvshm=shared \
    --enable-tokenizer=shared \
    --enable-wddx=shared \
    --with-zlib=shared \
    --with-bz2=shared \
    --with-curl=shared \
    --with-gd=shared \
    --enable-gd-native-ttf \
    --with-xpm-dir=%{_x11prefix} \
    --with-freetype-dir=%{_usr} \
    --with-png-dir=%{_usr} \
    --with-jpeg-dir=%{_usr} \
    --with-zlib-dir=%{_usr} \
%if 0%{?suse_version} > 1020
    --with-t1lib=shared,%{_usr} \
%endif
    --with-gettext=shared \
    --with-gmp=shared \
%if %{with_dynsess}
    --enable-session=shared \
    --enable-hash=shared \
%else
    --enable-session \
    --enable-hash \
%endif
    --with-iconv=shared \
    --with-imap=shared \
    --with-kerberos \
    --with-imap-ssl \
    --enable-json=shared \
    --with-ldap=shared \
    --with-ldap-sasl=%{_usr} \
%if 0%{?sles_version} != 9
    --with-libedit=shared,%{_usr} \
%endif
    --with-mcrypt=shared \
%if %{with_mhash}
    --with-mhash=shared \
%endif
%if 0%{?_with_ming:1}
    --with-ming=shared,%{_usr} \
%endif
%if %{with_mssql}
    --with-mssql=shared \
%endif
%if %{with_mysql}
    --with-mysql=shared,%{_usr} \
    --with-mysql-sock=/var/lib/mysql/mysql.sock \
    --with-mysqli=shared \
%if 0%{?sles_version} == 9
    --with-mysql-lib=%{_lib}/mysql \
    --with-mysql-inc=%{_usr}/include/mysql \
%endif
%endif
    --with-ncurses=shared \
    --with-unixODBC=shared,%{_usr} \
    --with-openssl=shared \
    --with-pgsql=shared,%{_usr} \
%if %{with_spell}
    --with-pspell=shared \
%endif
    --with-snmp=shared \
    --with-xmlrpc=shared \
    --enable-xmlreader=shared \
    --enable-xmlwriter=shared \
    --with-xsl=shared \
    --with-tidy=shared,%{_usr} \
    --enable-dba=shared \
    --with-db4=%{_usr} \
    --without-gdbm \
    --with-cdb \
    --with-inifile=shared \
    --with-flatfile=shared \
    --enable-pdo=shared \
%if %{with_sqlite}
    --enable-sqlite-utf8 \
%if 0%{?suse_version} > 1010
    --with-pdo-sqlite=shared,%{_usr} \
    --with-sqlite=shared,%{_usr}  \
%else
    --with-pdo-sqlite=shared \
    --with-sqlite=shared \
%endif
%else
    --without-sqlite \
    --without-pdo-sqlite \
%endif
%if %{with_mysql}
    --with-pdo-mysql=shared,%{_usr} \
%endif
    --with-pdo-pgsql=shared,%{_usr} \
    --with-pdo-odbc=shared,unixODBC,%{_usr} \
    --enable-zip=shared \
    --enable-suhosin=shared \
%if %{with_mime}
    --with-mime-magic=shared \
%endif
    --disable-cgi
# things that currently do not compile:
# extensions:
#    --with-recode=shared \ error: recode extension can not be configured together with: imap mysql yaz
#disabled extensions
#    --enable-embedded-mysqli \

%check
%if %{run_tests}
cd build-cli
# Run tests, using the CLI SAPI
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2 LANG=POSIX LC_ALL=POSIX
unset TZ
%{__make} test
set +x
for f in `find .. -name "*.diff" -type f -print`; do
	echo "TEST FAILURE: $f --"
	cat "$f"
	echo "-- $f result ends."
done
set -x
unset NO_INTERACTION REPORT_EXIT_STATUS MALLOC_CHECK_
%endif

%install
# install function
Install()
{
    pushd build-$1
    %{__make} install INSTALL_ROOT=%{buildroot} PHP_PEAR_PHP_BIN=%{_bindir}/%{pkg_name}
    popd
}
# do the actual installation
Install apache2
#need it for yast module
%{__mv} %{buildroot}%{apache2_libexecdir}/libphp5.so %{buildroot}%{apache2_libexecdir}/mod_php5.so
Install fastcgi
Install cli
# generate php.ini from php.ini-recommendedt:
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/conf.d
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/apache2
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/cli
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/fastcgi
%{__sed} "s=@extdir@=%{extension_dir}=" php.ini-recommended \
    > %{buildroot}/%{php_sysconf}/apache2/php.ini
%{__sed} "s=@extdir@=%{extension_dir}=" php.ini-recommended \
    | %{__sed} -r 's/^(html_errors|implicit_flush|max_execution_time|register_argc_argv)/;\1/' \
    > %{buildroot}/%{php_sysconf}/cli/php.ini
%{__sed} "s=@extdir@=%{extension_dir}=" php.ini-recommended \
    > %{buildroot}/%{php_sysconf}/fastcgi/php.ini
# prepare configuration files for each extension
extern_modules=""
for f in %{buildroot}%{extension_dir}/*; do
    if test ${f##*.} = a; then
        %{__rm} $f
        continue
    fi
    if test ${f##*.} = so; then
        f=${f%.so}
    fi
    ext=${f##*/}
    extern_modules="$extern_modules $ext"
    echo "; comment out next line to disable $ext extension in php" > %{buildroot}/%{php_sysconf}/conf.d/$ext.ini
    echo "extension=$ext.so" >> %{buildroot}/%{php_sysconf}/conf.d/$ext.ini
done
#suhosin configuration
%{__install} -m 644 ext/suhosin/suhosin.ini %{buildroot}/%{php_sysconf}/conf.d/suhosin.ini
# list of builtin modules
builtin_modules=`./build-cli/sapi/cli/php -m | egrep -v '^(\[.*)?$' | sort | tr '\n' ' '`
# update readme
%{__sed} "s=@EXTERN_MODULES@=$extern_modules=;s=@BUILTIN_MODULES@=$builtin_modules=" php-suse-addons/README.SUSE > README.SUSE
# apache configuration
%{__mkdir_p} %{buildroot}%{apache2_sysconfdir}/conf.d
%{__install} -m 644 php-suse-addons/sysconfig.apache2 %{buildroot}/%{apache2_sysconfdir}/conf.d/%{pkg_name}.conf
pushd %{buildroot}/%{_bindir}
#%{__mv} php php5
%{__mv} pear pear5
%{__mv} pecl pecl5
popd
#pushd %{buildroot}/%{_mandir}/man1
#%{__mv} php.1 php5.1
#popd
# directory for sessions
%{__install} -d %{buildroot}/var/lib/%{pkg_name}
# documentation
%{__mv} sapi/cli/README README.CLI
%{__mv} sapi/cgi/README.FastCGI README.FastCGI
%{__rm} -rf %{buildroot}/{.channels,.depdb*,.filemap,.lock,usr/bin/peardev}
%{__install} -d -m 0755 %{buildroot}/%{peardir}/test
# fix deadlock
%{__cp} %{S:5} %{buildroot}/%{peardir}/PEAR
# reminder: Will be removed when upstream fixes deadlock in pear
test %version = 5.2.14
# for pear XML files
%{__install} -d -m 0755 %{buildroot}/var/lib/pear
# provide compat symlink
%{__mkdir_p} %{buildroot}/srv/www/cgi-bin
%{__ln_s} /usr/bin/php-cgi5 %{buildroot}/srv/www/cgi-bin/php5

%post
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
update-alternatives --install  %{_bindir}/php php %{_bindir}/php5 5 \
  --slave %{_mandir}/man1/php.1.gz php.1 %{_mandir}/man1/php5.1.gz
update-alternatives --auto php
%endif
%endif

%preun
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
if [ $1 -eq 0 ]; then
  update-alternatives --remove php %{_bindir}/php5
fi
%endif
%endif

%post fastcgi
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
update-alternatives --install %{_bindir}/php-cgi php-cgi %{_bindir}/php-cgi5 5
update-alternatives --auto php-cgi
%endif
%endif

%preun fastcgi
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
if [ $1 -eq 0 ]; then
  update-alternatives --remove php-cgi %{_bindir}/php-cgi5
fi
%endif
%endif

%post pear
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
update-alternatives --install  %{_bindir}/pear pear %{_bindir}/pear5 5
update-alternatives --auto pear
%endif
%endif

%preun pear
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
if [ $1 -eq 0 ]; then
  update-alternatives --remove pear %{_bindir}/pear5
fi
%endif
%endif

%post devel
#phpize
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
update-alternatives --install  %{_bindir}/phpize phpize %{_bindir}/phpize5 5 \
  --slave %{_mandir}/man1/phpize.1.gz phpize.1 %{_mandir}/man1/phpize5.1.gz
update-alternatives --auto phpize
#php-config
update-alternatives --install  %{_bindir}/php-config php-config %{_bindir}/php-config5 5 \
  --slave %{_mandir}/man1/phpize.1.gz php-config.1 %{_mandir}/man1/php-config5.1.gz
update-alternatives --auto php-config
#pecl
update-alternatives --install  %{_bindir}/pecl pecl %{_bindir}/pecl5 5
update-alternatives --auto pecl
%endif
%endif

%preun devel
%if %{?suse_version:1}0
%if 0%{?sles_version} != 9
if [ $1 -eq 0 ]; then
  update-alternatives --remove phpize %{_bindir}/phpize5
  update-alternatives --remove pecl   %{_bindir}/pecl5
  update-alternatives --remove php-config   %{_bindir}/php-config5
fi
%endif
%endif

%post -n apache2-mod_php5
#some distro versions does not have this tool.
if [ -x /usr/sbin/a2enmod ] 
then
	if a2enmod -q php4 && ! a2enmod -q php5; then
  		a2dismod php4 
  		a2enmod php5
	fi
fi

%preun -n apache2-mod_php5
if [ "$1" = "0" ] 
then
	if [ -x /usr/sbin/a2enmod ]
	then
    	if a2enmod -q php5; then
        	a2dismod php5
    	fi
	fi
fi

%postun -n apache2-mod_php5
%restart_on_update apache2

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README* CODING_STANDARDS CREDITS EXTENSIONS LICENSE NEWS TODO* php-suse-addons/test.php5
%doc %{_mandir}/man1/*
%dir %{php_sysconf}
%dir %{php_sysconf}/conf.d
%dir %{php_sysconf}/cli
%config(noreplace) %{php_sysconf}/cli/php.ini
%{_bindir}/%{pkg_name}
%dir %{_libdir}/%{pkg_name}
#%dir %{safemode_dir}
%dir %{extension_dir}
%dir %{_datadir}/%{pkg_name}
%attr(0755, wwwrun, root) %dir /var/lib/%{pkg_name}

%files devel
%defattr(-, root, root)
%{_includedir}/%{pkg_name}
%{_bindir}/phpize5
%{_bindir}/php-config5
%{_bindir}/pecl5
%{_datadir}/%{pkg_name}/build

%files pear
%defattr(-, root, root)
%doc pear/README.SUSE
%{_bindir}/pear5
%config(noreplace) %{php_sysconf}/cli/pear.conf
%{peardir}
%dir /var/lib/pear

%files fastcgi
%defattr(-, root, root)
%{_bindir}/php-cgi5
/srv/www/cgi-bin/php5
%dir %{php_sysconf}/fastcgi
%config(noreplace) %{php_sysconf}/fastcgi/php.ini

%files -n apache2-mod_php5
%defattr(644,root,root,755)
%{apache2_libexecdir}/mod_php5.so
%dir %{php_sysconf}/apache2
%config(noreplace) %{php_sysconf}/apache2/php.ini
%config(noreplace) %{apache2_sysconfdir}/conf.d/%{pkg_name}.conf

%files bcmath
%defattr(644,root,root,755)
%{extension_dir}/bcmath.so
%config(noreplace) %{php_sysconf}/conf.d/bcmath.ini

%files bz2
%defattr(644,root,root,755)
%{extension_dir}/bz2.so
%config(noreplace) %{php_sysconf}/conf.d/bz2.ini

%files calendar
%defattr(644,root,root,755)
%{extension_dir}/calendar.so
%config(noreplace) %{php_sysconf}/conf.d/calendar.ini

%files ctype
%defattr(644,root,root,755)
%{extension_dir}/ctype.so
%config(noreplace) %{php_sysconf}/conf.d/ctype.ini

%files curl
%defattr(644,root,root,755)
%{extension_dir}/curl.so
%config(noreplace) %{php_sysconf}/conf.d/curl.ini

%files dba
%defattr(644,root,root,755)
%{extension_dir}/dba.so
%config(noreplace) %{php_sysconf}/conf.d/dba.ini

%files dbase
%defattr(644,root,root,755)
%{extension_dir}/dbase.so
%config(noreplace) %{php_sysconf}/conf.d/dbase.ini

%files dom
%defattr(644,root,root,755)
%{extension_dir}/dom.so
%config(noreplace) %{php_sysconf}/conf.d/dom.ini

%files exif
%defattr(644,root,root,755)
%{extension_dir}/exif.so
%config(noreplace) %{php_sysconf}/conf.d/exif.ini

%files ftp
%defattr(644,root,root,755)
%{extension_dir}/ftp.so
%config(noreplace) %{php_sysconf}/conf.d/ftp.ini

%files gd
%defattr(644,root,root,755)
%{extension_dir}/gd.so
%config(noreplace) %{php_sysconf}/conf.d/gd.ini

%files gettext
%defattr(644,root,root,755)
%{extension_dir}/gettext.so
%config(noreplace) %{php_sysconf}/conf.d/gettext.ini

%files gmp
%defattr(644,root,root,755)
%{extension_dir}/gmp.so
%config(noreplace) %{php_sysconf}/conf.d/gmp.ini

%if %{with_dynsess}
%files hash
%defattr(644,root,root,755)
%{extension_dir}/hash.so
%config(noreplace) %{php_sysconf}/conf.d/hash.ini
%endif

%files iconv
%defattr(644,root,root,755)
%{extension_dir}/iconv.so
%config(noreplace) %{php_sysconf}/conf.d/iconv.ini

%files imap
%defattr(644,root,root,755)
%{extension_dir}/imap.so
%config(noreplace) %{php_sysconf}/conf.d/imap.ini

%files json
%defattr(644,root,root,755)
%{extension_dir}/json.so
%config(noreplace) %{php_sysconf}/conf.d/json.ini

%files ldap
%defattr(644,root,root,755)
%{extension_dir}/ldap.so
%config(noreplace) %{php_sysconf}/conf.d/ldap.ini

%files mbstring
%defattr(644,root,root,755)
%{extension_dir}/mbstring.so
%config(noreplace) %{php_sysconf}/conf.d/mbstring.ini

%files mcrypt
%defattr(644,root,root,755)
%{extension_dir}/mcrypt.so
%config(noreplace) %{php_sysconf}/conf.d/mcrypt.ini

%if %{with_mhash}
%files mhash
%defattr(644,root,root,755)
%{extension_dir}/mhash.so
%config(noreplace) %{php_sysconf}/conf.d/mhash.ini
%endif

%if %{with_mime}
%files mime_magic
%defattr(644,root,root,755)
%{extension_dir}/mime_magic.so
%config(noreplace) %{php_sysconf}/conf.d/mime_magic.ini
%endif

%if 0%{?_with_ming:1}
%files ming
%defattr(644,root,root,755)
%{extension_dir}/ming.so
%config(noreplace) %{php_sysconf}/conf.d/ming.ini
%endif

%if %{with_mssql}
%files mssql
%defattr(644,root,root,755)
%{extension_dir}/mssql.so
%config(noreplace) %{php_sysconf}/conf.d/mssql.ini
%endif

%if %{with_mysql}
%files mysql
%defattr(644,root,root,755)
%{extension_dir}/mysql.so
%config(noreplace) %{php_sysconf}/conf.d/mysql.ini
%{extension_dir}/mysqli.so
%config(noreplace) %{php_sysconf}/conf.d/mysqli.ini
%{extension_dir}/pdo_mysql.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_mysql.ini
%endif

%files ncurses
%defattr(644,root,root,755)
%{extension_dir}/ncurses.so
%config(noreplace) %{php_sysconf}/conf.d/ncurses.ini

%files odbc
%defattr(644,root,root,755)
%{extension_dir}/odbc.so
%config(noreplace) %{php_sysconf}/conf.d/odbc.ini
%{extension_dir}/pdo_odbc.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_odbc.ini

%files openssl
%defattr(644,root,root,755)
%{extension_dir}/openssl.so
%config(noreplace) %{php_sysconf}/conf.d/openssl.ini

%files pcntl
%defattr(644,root,root,755)
%{extension_dir}/pcntl.so
%config(noreplace) %{php_sysconf}/conf.d/pcntl.ini

%files pdo
%defattr(644,root,root,755)
%{extension_dir}/pdo.so
%config(noreplace) %{php_sysconf}/conf.d/pdo.ini

%files pgsql
%defattr(644,root,root,755)
%{extension_dir}/pgsql.so
%config(noreplace) %{php_sysconf}/conf.d/pgsql.ini
%{extension_dir}/pdo_pgsql.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_pgsql.ini

%files posix
%defattr(644,root,root,755)
%{extension_dir}/posix.so
%config(noreplace) %{php_sysconf}/conf.d/posix.ini
%if %{with_spell}

%files pspell
%defattr(644,root,root,755)
%{extension_dir}/pspell.so
%config(noreplace) %{php_sysconf}/conf.d/pspell.ini
%endif

%if %{with_readline}
%files readline
%defattr(644,root,root,755)
%{extension_dir}/readline.so
%config(noreplace) %{php_sysconf}/conf.d/readline.ini
%endif

%if %{with_dynsess}
%files session
%defattr(644,root,root,755)
%{extension_dir}/session.so
%config(noreplace) %{php_sysconf}/conf.d/session.ini
%endif

%files shmop
%defattr(644,root,root,755)
%{extension_dir}/shmop.so
%config(noreplace) %{php_sysconf}/conf.d/shmop.ini

%files snmp
%defattr(644,root,root,755)
%{extension_dir}/snmp.so
%config(noreplace) %{php_sysconf}/conf.d/snmp.ini

%files soap
%defattr(644,root,root,755)
%{extension_dir}/soap.so
%config(noreplace) %{php_sysconf}/conf.d/soap.ini

%files sockets
%defattr(644,root,root,755)
%{extension_dir}/sockets.so
%config(noreplace) %{php_sysconf}/conf.d/sockets.ini

%if %{with_sqlite}
%files sqlite
%defattr(644,root,root,755)
%{extension_dir}/sqlite.so
%config(noreplace) %{php_sysconf}/conf.d/sqlite.ini
%{extension_dir}/pdo_sqlite.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_sqlite.ini
%endif

%files suhosin
%defattr(644,root,root,755)
%if 0%{?sles_version} != 11
%{extension_dir}/suhosin.so
%endif
%config(noreplace) %{php_sysconf}/conf.d/suhosin.ini

%files sysvmsg
%defattr(644,root,root,755)
%{extension_dir}/sysvmsg.so
%config(noreplace) %{php_sysconf}/conf.d/sysvmsg.ini

%files sysvsem
%defattr(644,root,root,755)
%{extension_dir}/sysvsem.so
%config(noreplace) %{php_sysconf}/conf.d/sysvsem.ini

%files sysvshm
%defattr(644,root,root,755)
%{extension_dir}/sysvshm.so
%config(noreplace) %{php_sysconf}/conf.d/sysvshm.ini

%files tidy
%defattr(644,root,root,755)
%{extension_dir}/tidy.so
%config(noreplace) %{php_sysconf}/conf.d/tidy.ini

%files tokenizer
%defattr(644,root,root,755)
%{extension_dir}/tokenizer.so
%config(noreplace) %{php_sysconf}/conf.d/tokenizer.ini

%files wddx
%defattr(644,root,root,755)
%{extension_dir}/wddx.so
%config(noreplace) %{php_sysconf}/conf.d/wddx.ini

%files xmlrpc
%defattr(644,root,root,755)
%{extension_dir}/xmlrpc.so
%config(noreplace) %{php_sysconf}/conf.d/xmlrpc.ini

%files xmlreader
%defattr(644,root,root,755)
%{extension_dir}/xmlreader.so
%config(noreplace) %{php_sysconf}/conf.d/xmlreader.ini

%files xmlwriter
%defattr(644,root,root,755)
%{extension_dir}/xmlwriter.so
%config(noreplace) %{php_sysconf}/conf.d/xmlwriter.ini

%files xsl
%defattr(644,root,root,755)
%{extension_dir}/xsl.so
%config(noreplace) %{php_sysconf}/conf.d/xsl.ini

%files zip
%defattr(644,root,root,755)
%{extension_dir}/zip.so
%config(noreplace) %{php_sysconf}/conf.d/zip.ini

%files zlib
%defattr(644,root,root,755)
%{extension_dir}/zlib.so
%config(noreplace) %{php_sysconf}/conf.d/zlib.ini

%changelog
